Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Interface JDBCLockManager

All Superinterfaces:
  com.solarmetric.util.Closeable, LockManager

All Known Implementing Classes:
  PessimisticLockManager

public interface JDBCLockManager
extends LockManager

Extension of the `LockManager` interface with methods for datastore locking during the select and load process. Implementors of this interface can also take advantage of the fact that in the `LockManager.lock(kodo.runtime.KodoStateManager, int, int, java.lang.Object)` and `LockManager.lockAll(java.util.Collection, int, int, java.lang.Object)` methods, the given `conn` parameter, if any, will be an instance of `ConnectionInfo`.

Method Summary
`void` | `loadedForUpdate(KodoStateManager sm)` Notification that the given instance was loaded via a result set produced by a FOR UPDATE select.
`boolean` | `selectForUpdate(Select sel, int lockLevel)` Return whether to issue the given select FOR UPDATE, depending on the capabilities of the dictionary and the fetch configuration.

Methods inherited from interface kodo.runtime.LockManager
`beginTransaction, close, endTransaction, getLockLevel, lock, lockAll, release, setPersistenceManager`

Method Detail

### selectForUpdate

    public boolean selectForUpdate(Select sel,
                                   int lockLevel)

  Return whether to issue the given select FOR UPDATE, depending on the capabilities of the dictionary and the fetch configuration.

### loadedForUpdate

    public void loadedForUpdate(KodoStateManager sm)

  Notification that the given instance was loaded via a result set produced by a FOR UPDATE select.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.